from django import template
import logging

logger = logging.getLogger('qa_dashboard')
register = template.Library()


@register.filter
def percentage(value):
    if value is None:
        return ""
    if type(value) is str:
        logger.debug('percentage value is a string "{}"'.format(value))
        return ""
    return float(value*100)
