# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from django.conf.urls import (
    patterns,
    url,
)
from django.views.generic import RedirectView

urlpatterns = patterns(
    'gaps.views',
    url(r'^$', RedirectView.as_view(url='project', permanent=False),
        name='gaps_overview'),
    url(r'^product/$', 'product_list', name='products'),
    url(r'^product/(?P<name>[^/]+)/$', 'product'),
    url(r'^project/$', 'project_list', name='projects'),
    url(r'^project/(?P<name>[^/]+)/$', 'project'),
)
