import logging
import sys
import os

from django.core.management.base import BaseCommand
from optparse import make_option

from gaps.util import get_coverage
#from qa_dashboard.settings import CU2D_DEFAULT_CONFIG_DIR

logger = logging.getLogger('qa_dashboard')


class Command(BaseCommand):
    help = 'add coverage artifacts to database'

    option_list = BaseCommand.option_list + (
        make_option(
            '--last',
            action='store_true',
            dest='just_last_build',
            help='pull in just the last build',
        ),
    )

    def handle(self, *args, **options):
        get_coverage(just_last_build=options['just_last_build'])
