import logging
import shutil
import subprocess
import os

from django.core.management.base import BaseCommand

logger = logging.getLogger('qa_dashboard')


class Command(BaseCommand):
    help = 'add coverage artifacts to database'

    def handle(self, *args, **options):
        BASEDIR = os.path.dirname(__file__)
        logger.info('deleting /tmp/stacks')
        subprocess.call(['rm', '-rf', '/tmp/stacks'])
        logger.info('bzr branching cupstream2distro-config')
        subprocess.check_output(['bzr',
                                'branch',
                                'lp:cupstream2distro-config',
                                '/tmp/stacks'])
        subprocess.call(['rm', '-rf', '{}/stacks'.format(BASEDIR)])
        logger.info('copying new stack')
        shutil.copytree('/tmp/stacks/stacks', '{}/stacks'.format(BASEDIR))
