import logging

from django import template

register = template.Library()

@register.filter
def percent_reporting_color(value):
    if value == 0.0:
        return "black"
    if value == 1.0:
        return "green"
    if value >= 0.9:
        return "yellow"
    return "red"
